// スリープ関連のメッセージを処理するウインドウ

#pragma once

#include <Windows.h>

namespace GuruGuruSmf { namespace Core {

	/// <summary>
	/// スリープ関連のメッセージを処理するウインドウ
	/// </summary>
	class PowerControlWindow
	{
	private:
		HWND _hWnd;
		HANDLE _hEvent; //by Kobarin (ウィンドウの作成が終わるまで待つ用)
		HANDLE _hThread;//by Kobarin (スレッドが終了するまで待てるように)
	public:
		PowerControlWindow();	// コンストラクタ
		~PowerControlWindow();	// デストラクタ
		void createWindow();
		void MessageLoop();
		static void SetCallBackSuspend(void (*func)());
	};


}}

